### Constructor

# GimpUi LabelColor new

#### Declaration [src]

    GtkWidget*
    gimp_label_color_new (
      const gchar* label,
      GeglColor* color,
      gboolean editable
    )

#### Description [src]

Creates a `GimpLabelColor` which contains a widget and displays a color area. By default, the color area is of type `GIMP_COLOR_AREA_SMALL_CHECKS`, which means transparency of `color` will be shown.

Moreover in the non-editable case, the color is draggable to other widgets accepting color drops with buttons 1 and 2. In the editable case, the `label` is reused as the color chooser’s dialog title.

If you wish to customize any of these default behaviors, get the `GimpColorArea` or `GimpColorButton` with gimp_label_color_get_color_widget().

#### Parameters

`label`

  Type: `const gchar*`

  The text for the `GtkLabel`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `GeglColor`

  The color displayed.

  The data is owned by the caller of the function.

`editable`

  Type: `gboolean`

  No description available.

#### Return value

Type: `GtkWidget`

The new `GimpLabelColor` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.